This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 1122600 - (CVE-2014-5029) CVE-2014-5029 cups: Incomplete fix for CVE-2014-3537
CVE-2014-5029 cups: Incomplete fix for CVE-2014-3537
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140722,repor...
: Security
Depends On: 1122601 1128773 1128774
Blocks: 1101912 1115577 1122602
  Show dependency treegraph
 
Reported: 2014-07-23 10:56 EDT by Vasyl Kaigorodov
Modified: 2015-07-31 03:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that CUPS allowed certain users to create symbolic links in certain directories under /var/cache/cups/. A local user with the 'lp' group privileges could use this flaw to read the contents of arbitrary files on the system or, potentially, escalate their privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-26 17:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vasyl Kaigorodov 2014-07-23 10:56:09 EDT
It was reported [1] that a fix for CVE-2014-3537 [2] is not complete.
In some cases privilege escalation is still possible [3].
Upstream patches are available at [3] as well.

[1]: http://seclists.org/oss-sec/2014/q3/209
[2]: https://cups.org/str.php?L4450
[3]: https://cups.org/str.php?L4455
Comment 1 Vasyl Kaigorodov 2014-07-23 10:57:27 EDT
Created cups tracking bugs for this issue:

Affects: fedora-all [bug 1122601]
Comment 3 Fedora Update System 2014-07-30 17:57:00 EDT
cups-1.7.4-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Vincent Danen 2014-08-05 14:33:23 EDT
As noted in MITRE's CVE request:

CVE-2014-5029 is for "if language[0] is null, we do not reach the lstat calls for filename and afterwards"

CVE-2014-5030 is for "add similar protections to the directory index
files (which are also using stat)"

index.html
index.class
index.pl
index.php
index.pyc
index.py

CVE-2014-5031 is for "if the file/directory does not have world read permissions, do not allow access..."
Comment 10 Francisco Alonso 2014-08-11 10:31:25 EDT
The CVE-2014-3537 id previously used here for insufficient checking leads to privilege escalation was replaced by CVE-2014-5029 as complete fix if language[0] is null.

http://seclists.org/oss-sec/2014/q3/209
Comment 11 Francisco Alonso 2014-08-11 10:41:26 EDT
Statement:

This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle, https://access.redhat.com/support/policy/updates/errata/
Comment 12 Tomas Hoger 2014-08-11 14:38:25 EDT
The original issue CVE-2014-3537 is tracked via bug 1115576.

(In reply to Vincent Danen from comment #4)
> As noted in MITRE's CVE request:
> 
> CVE-2014-5029 is for "if language[0] is null, we do not reach the lstat
> calls for filename and afterwards"
> 
> CVE-2014-5030 is for "add similar protections to the directory index
> files (which are also using stat)"
>
> CVE-2014-5031 is for "if the file/directory does not have world read
> permissions, do not allow access..."

Additional similar problems were identified in upstream bug report L4455.  There were previously tracked via this bug report, but are now tracked via separate bugs: CVE-2014-5030 via bug 1128764 and CVE-2014-5031 via bug 1128767.
Comment 13 Fedora Update System 2014-10-02 23:57:11 EDT
cups-1.6.4-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Martin Prpic 2014-10-07 04:44:52 EDT
IssueDescription:

It was discovered that CUPS allowed certain users to create symbolic links in certain directories under /var/cache/cups/. A local user with the 'lp' group privileges could use this flaw to read the contents of arbitrary files on the system or, potentially, escalate their privileges on the system.
Comment 15 errata-xmlrpc 2014-10-14 03:31:53 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1388 https://rhn.redhat.com/errata/RHSA-2014-1388.html
Comment 16 Tomas Hoger 2015-03-26 17:43:29 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHBA-2015:0386 https://rhn.redhat.com/errata/RHBA-2015-0386.html

Note You need to log in before you can comment on or make changes to this bug.